---
- name: Installing fzf
  ansible.builtin.include_role:
    name: gh_release_bin
  vars:
    name: fzf
    repo: junegunn/fzf
    bin_path: "/fzf"
    autocomplete_path: "/fzf-*/shell/completion.zsh"
    man_path: "/fzf-*/man/man1/fzf.1"
    include_source: yes
    filter: linux_amd64.tar.gz

- name: Installing bat (cat like)
  ansible.builtin.include_role:
    name: gh_release_bin
  vars:
    name: bat
    repo: sharkdp/bat
    bin_path: "/bat-*/bat"
    man_path: "/bat-*/bat.1"
    filter: x86_64-unknown-linux-gnu

- name: verify Bat (better Cat) theme
  changed_when: false
  ansible.builtin.lineinfile:
    path: "~/.shellconfig/common.sh"
    regexp: "^export BAT_THEME="
    line: 'export BAT_THEME="${{ theme }}"'

- name: Instaling TLDR (pip3)
  become: true
  shell: pip3 install tldr || true
  changed_when: false

- name: Installing bottom (btm) (Top like)
  ansible.builtin.include_role:
    name: gh_release_bin
  vars:
    name: btm
    repo: ClementTsang/bottom
    bin_path: "/btm"
   #autocomplete_path: "/completion/btm.bash"
    filter: bottom_x86_64-unknown-linux-gnu.tar.gz

- name: Installing gitui
  ansible.builtin.include_role:
    name: gh_release_bin
  vars:
    name: gitui
    repo: extrawurst/gitui
    bin_path: "/gitui"
    filter: gitui-linux-musl

- name: Verifying gitui config
  file:
    path: ~/.config/gitui
    state: directory
    mode: '0755'

- name: Copy gitui keybindings
  copy:                       
    src: dotfiles/gitui/key_bindings.ron
    dest: ~/.config/gitui/key_bindings.ron
    force: yes                
    mode: preserve

- name: Copy gitui theme config
  copy:                       
    src: dotfiles/gitui/theme.ron
    dest: ~/.config/gitui/theme.ron
    force: yes 
    mode: preserve

- name: Installing LSD (ls like)
  ansible.builtin.include_role:
    name: gh_release_bin
  vars:
    name: lsd
    repo: Peltoche/lsd
    bin_path: "/lsd-*/lsd"
    man_path: "/lsd-*/lsd.1"
    autocomplete_path: "/lsd-*/autocomplete/lsd.bash-completion"
    filter: x86_64-unknown-linux-gnu.tar.gz

- name: Installing ripgrep (grep like)
  ansible.builtin.include_role:
    name: gh_release_bin
  vars:
    name: rg
    repo: BurntSushi/ripgrep
    bin_path: "/ripgrep-*/rg"
    man_path: "/ripgrep-*/doc/rg.1"
    autocomplete_path: "/ripgrep-*/complete/rg.bash"
    filter: x86_64-unknown-linux-musl.tar.gz

